Expose a service on the status page
POST
/api/status-page/services
const url = 'https://gateway.example.com/api/status-page/services';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sourceType":"node","sourceId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","publicName":"example","publicDescription":"example","publicGroup":"example","sortOrder":1,"enabled":true,"createThresholdSeconds":1,"resolveThresholdSeconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/status-page/services \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sourceType": "node", "sourceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "publicName": "example", "publicDescription": "example", "publicGroup": "example", "sortOrder": 1, "enabled": true, "createThresholdSeconds": 1, "resolveThresholdSeconds": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
sourceType
required
string
sourceId
required
string format: uuid
publicName
required
string
publicDescription
string | null
publicGroup
string | null
sortOrder
integer
enabled
boolean
createThresholdSeconds
integer
resolveThresholdSeconds
integer
Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "API", "status": "operational", "public": true }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}